import { FindController } from './find-controller';
export declare class FindHighlighter {
    private readonly pageIndex;
    private readonly findController?;
    private enabled;
    private abortController?;
    private textDivs;
    private textContentItemsStr;
    private matches;
    constructor(pageIndex: number, findController?: FindController | undefined);
    setTextMapping(divs: HTMLElement[], texts: string[]): void;
    enable(): void;
    disable(): void;
    private updateMatches;
}
